Import an existing vault connection
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/secret_manager/inbound/http.go`.
/v1/application/secret-manager/connections/importRequires an authenticated tenant principal. Generated from the production route registered in internal/features/secret_manager/inbound/http.go.
Authorization
bearerAuth Engine-issued API key or tenant-signed JWT.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/application/secret-manager/connections/import" \ -H "Content-Type: application/json" \ -d '{}'{}Manage a vault connection
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/secret_manager/inbound/http.go`.
Access an exact secret version
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/secret_manager/inbound/http.go`.